osl::RecordMinimal Struct Reference

`#include <csa.h>`

## Public Member Functions

const NumEffectState & | initialState () const

## Public Attributes

NumEffectState | initial_state
std::vector< Move > | moves

## Detailed Description

Definition at line 42 of file csa.h.

## Member Function Documentation

## initialState()

const NumEffectState & osl::RecordMinimal::initialState | ( |  | ) | const

inline

Definition at line 46 of file csa.h.

References initial_state.

Referenced by osl::csa::CsaFileMinimal::initialState().

## Member Data Documentation

## initial_state

NumEffectState osl::RecordMinimal::initial_state

Definition at line 44 of file csa.h.

Referenced by osl::csa::CsaString::initialState(), initialState(), and osl::record::operator<<().

## moves

std::vector<Move> osl::RecordMinimal::moves

Definition at line 45 of file csa.h.

Referenced by osl::csa::CsaFileMinimal::moves(), and osl::record::operator<<().

The documentation for this struct was generated from the following file:

- csa.h